Bug 678613 - vdso gettimeofday causes a segmentation fault [rhel-5.6.z]
Summary: vdso gettimeofday causes a segmentation fault [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 673616
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 15:45 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:22 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.18-238.5.1.el5
Doc Type: Bug Fix
Doc Text:
VDSO (Virtual Dynamically-linked Shared Object) kernel variables must be exported in vextern.h, otherwise they end up as undefined pointers. When calling the VDSO gettimeofday() function in Red Hat Enterprise Linux 5, a missing declaration lead to a segmentation fault. With this update, the sysctl_vsyscall system call is properly exported and segmentation faults no longer occur.
Clone Of:
Environment:
Last Closed: 2011-03-01 20:31:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0303 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-03-01 20:29:26 UTC

Description RHEL Product and Program Management 2011-02-18 15:45:39 UTC
This bug has been copied from bug #673616 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-02-21 16:11:25 UTC
in kernel-2.6.18-238.5.1.el5

linux-2.6-x86_64-vdso-fix-gtod-via-export-of-sysctl_vsyscall.patch

Comment 6 errata-xmlrpc 2011-03-01 20:31:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0303.html

Comment 7 Martin Prpič 2011-07-13 20:21:48 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
VDSO (Virtual Dynamically-linked Shared Object) kernel variables must be exported in vextern.h, otherwise they end up as undefined pointers. When calling the VDSO gettimeofday() function in Red Hat Enterprise Linux 5, a missing declaration lead to a segmentation fault. With this update, the sysctl_vsyscall system call is properly exported and segmentation faults no longer occur.


Note You need to log in before you can comment on or make changes to this bug.